Subject: Re: bug#50660: 28.0.50; Text artifacting when the cursor moves over text under mouse face that originally displayed a box

From: Po Lu <[email-masked]>
Date: Tue, 21 Sep 2021 17:45:37 +0800

Eli Zaretskii <[email-masked]> writes:

> Only the characters at the beginning and end of the box jump, so they
> are the only ones that need an additional adjustment.  Right?

Yeah, they are the only characters causing the jump, but the effect of
that jump "ripples", in a way, throughout the entire box.  So even if I
move the cursor into the middle of the box, it will still be in the
wrong location, but when the cursor is moved, show_mouse_face is not
called, so I think putting the correction is show_mouse_face is not the
solution to this problem.

Thanks.